from fastapi import Request
from folkugat_web.model import temes as model
from folkugat_web.templates import templates


def lyric(request: Request, logged_in: bool, lyric: model.Lyrics):
    return templates.TemplateResponse(
        "fragments/tema/lyric.html",
        {
            "request": request,
            "logged_in": logged_in,
            "lyric": lyric,
        }
    )


def lyric_editor(request: Request, logged_in: bool, lyric: model.Lyrics):
    return templates.TemplateResponse(
        "fragments/tema/editor/lyric.html",
        {
            "request": request,
            "logged_in": logged_in,
            "lyric": lyric,
        }
    )
